Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-12181

Improve the error message when using sonar.branch.name on Community Edition

    XMLWordPrintable

    Details

    • Edition:
      Community
    • Production Notes:
      None

      Description

      Currently, when using the analysis parameter sonar.branch.name on a Community Edition, the error message is the following:

      To use the property "sonar.branch.name", the branch plugin is required but not installed. See the documentation of branch support: https://redirect.sonarsource.com/doc/branches.html

      The branch plugin doesn't exist anymore.
      We could say:

      To use the property 'sonar.branch.name' and analyze branches, Developer Edition or above is required. See https://redirect.sonarsource.com/editions/developer.html for more information.

        Attachments

          Activity

            People

            Assignee:
            duarte.meneses Duarte Meneses
            Reporter:
            christophe.levis Christophe Levis
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Due:
              Created:
              Updated:
              Resolved: